curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/transMemories \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
],
"note": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/transMemories"
payload = {
"name": "<string>",
"sourceLang": "<string>",
"targetLangs": ["<string>"],
"note": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
sourceLang: '<string>',
targetLangs: ['<string>'],
note: '<string>'
})
};
fetch('https://cloud.memsource.com/web/api2/v1/transMemories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"businessUnit": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"client": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"domain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"id": "<string>",
"internalId": 123,
"name": "<string>",
"note": "<string>",
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"role": "SYS_ADMIN",
"uid": "<string>",
"userName": "<string>"
},
"sourceLang": "<string>",
"subDomain": {
"id": "<string>",
"name": "<string>",
"uid": "<string>"
},
"targetLangs": [
"<string>"
],
"uid": "<string>"
}Create translation memory
Creates a new translation memory. At least one target language must be provided. Optional associations (client, domain, subDomain, businessUnit) are resolved by ID. Requires the caller to have the transMemoryCreate access right.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Body
Translation memory creation request
Request body for creating a translation memory; requires a name, source lang and target langs
Display name of the new translation memory
255Source language locale
List of target language locales; at least one is required
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Optional note or description (max 4096 characters)
4096Show child attributes
Show child attributes
Response
Created
Translation memory resource returned by get, create and edit endpoints
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Date the translation memory was created
Show child attributes
Show child attributes
String representation of the internal TM database ID
Internal numeric ID of the translation memory
Display name of the translation memory
Optional note or description for the translation memory
Show child attributes
Show child attributes
Source language locale
Show child attributes
Show child attributes
List of target language locales
Unique identifier (UID) of the translation memory
Was this page helpful?